### Function

# FwupdPlugin Device register_private_flag

since: 2.1.6

#### Declaration [src]

    GQuark
    fu_device_register_private_flag (
      FuDeviceClass* klass,
      const gchar* flag
    )

#### Description [src]

Registers a private device flag so that it can be set from quirk files and printed correctly in debug output.

Available since: 2.1.6

#### Parameters

`klass`

  Type: `FuDeviceClass`

  A `FuDeviceClass`.

  The data is owned by the caller of the function.

`flag`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GQuark`

A `GQuark`.